.controls-tag-link-popup {
  white-space: nowrap !important;
}

.cooked {
  overflow: visible !important;
}

.discourse-tag {
  cursor: pointer !important;
  overflow: visible !important;
  position: relative !important;
  white-space: normal !important;
}

.discourse-tag:hover {
  text-decoration: underline;
}

.hashtag {
  position: relative !important;
}

.tag-link-popup {
  background: var(--secondary);
  border: 1px solid var(--primary-low);
  box-shadow: 0 4px 14px rgba(0,0,0,0.15);
  left: 0;
  padding: 5px;
  position: absolute;
  top: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: max-content;
  z-index: 300;
}

.tag-link-popup > .btn {
  width: 100%;
}

.tag-link-popup > .btn:first-child {
  margin-bottom: 10px;
}

.tag-link-popup-input {
  div {
    background-color: var(--secondary-high);
    border: 1px solid var(--primary-medium);
    margin-bottom: 9px;
    padding: 4px 10px;
  }
  input[type=text] {
    flex: 1 1 auto;
    width: auto !important;
  }
  display: flex;
  flex-wrap: wrap;
}